import = function() end
luaunit = require("luaunit")
luaunit.ORDER_ACTUAL_EXPECTED = false

utils = require("utils")
C = require("constants")
local mocks = require("test/mocks")
playdate, announcer = mocks[1], mocks[2]

local _f = require("fielding")
Fielding, newFielder = _f[1], _f[2]

HomeTeamSpriteGroup = {}

-- Print contents of `tbl`, with indentation.
-- `indent` sets the initial level of indentation.
function str(tbl, indent, nl)
    if not indent then
        indent = 1
    end
    nl = nl or "\n"

    if type(tbl) == "table" then
        local indentStr = string.rep("  ", indent)
        local ret = "{" .. nl
        for k, v in pairs(tbl) do
            --ret = ret .. indentStr .. "[" .. str(k, -9999, "") .. "]" .. ": " .. str(v, indent + 1, nl) .. "," .. nl
            ret = ret .. indentStr .. "[" .. tostring(k) .. "]" .. ": " .. tostring(v) .. "," .. nl
        end
        return ret .. indentStr .. nl .. "}"
    else
        return tostring(tbl)
    end
end

function printTable(tbl)
    print(str(tbl))
end
